<template>
  <div v-if="!isShow" class="popupGas">
    <el-row>
      <el-col :span="12">
        <el-row>
          <gas-table :displayContent="displayContent"></gas-table>
        </el-row>
        <el-row>
          <gas-e-charts></gas-e-charts>
        </el-row>
      </el-col>
      <el-col :span="12">
        <gas-video></gas-video>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import GasTable from '@components/flueGas/GasComponents/GasTable'
import GasECharts from '@components/flueGas/GasComponents/GasECharts'
import GasVideo from '@components/flueGas/GasComponents/GasVideo'

export default {
  name: 'popup-gas',
  components: {
    GasTable,
    GasECharts,
    GasVideo
  },
  data: function () {
    return {
      isShow: false,
      displayContent: []
    }
  },
  methods: {
    setDate (data) {
      console.log(data)
      this.displayContent = data
    }
  }
}
</script>

<style scoped lang="less">
/deep/ .popupGas {
  color: #fff;

  .leaflet-popup-content-wrapper {
    width: 100% !important;
  }
}
</style>
